Subject: Re: bug#11342: 24.1.50; HOOK variable name in `add-hook' etc. confusing

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Apr 2012 21:15:10 -0400

> You could misinterpret that and think that the first argument must be
> a value representing a hook.  But actually it must be a _symbol_
> holding a hook.

Hooks are represented by a value which is a symbol (and which in turn
carries the various functions added to it globally and in each buffer).
The symbol's value (usually a list) is *not* the hook value but only one
part of it.

        Stefan